From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Fri, 9 Oct 2020 18:07:32 +0200
Subject: arm64: dts: imx8mq-librem5-devkit: enable hdmi and dcss

---
 .../boot/dts/freescale/imx8mq-librem5-devkit.dts   | 23 ++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
index b7f1d58..36850b6 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
@@ -291,6 +291,18 @@ opp-800M {
 	};
 };
 
+/delete-node/ &dcss_dsi_out;
+/delete-node/ &mipi_dsi_dcss_in;
+&dcss {
+	status = "okay";
+
+	port@0 {
+		dcss_hdmi_out: endpoint {
+			remote-endpoint = <&hdmi_in>;
+		};
+	};
+};
+
 &dphy {
 	status = "okay";
 };
@@ -315,6 +327,17 @@ ethphy0: ethernet-phy@1 {
 	};
 };
 
+&hdmi {
+	compatible = "nxp,imx8mq-cdns-hdmi";
+	lane-mapping = <0xe4>;
+	status = "okay";
+	port@0 {
+		hdmi_in: endpoint {
+			remote-endpoint = <&dcss_hdmi_out>;
+		};
+	};
+};
+
 &i2c1 {
 	clock-frequency = <100000>;
 	pinctrl-names = "default";
